Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class FinderSystemException

    java.lang.Object
      javax.ejb.EJBException
          com.beasys.commerce.foundation.exception.SystemException
              com.beasys.commerce.foundation.exception.FinderSystemException

All Implemented Interfaces
  MessageCatalogException

    public class FinderSystemException

extends SystemException

A `FinderSystemException` signals a fatal error locating a resource.

Note: Throughout this API documentation namespace refers to the resource bundle that contains the catalog of exception messages. Refer to the `MessageCatalog` API documentation for further details.

See Also
  `MessageCatalogException`

Field Summary

Fields inherited from class com.beasys.commerce.foundation.exception.SystemException
`logMessages, userMessages`

Constructor Summary
`FinderSystemException(String namespace, String messageKey, Exception exception)` Class constructor taking the namespace and key of the associated catalog message and an embedded exception.
`FinderSystemException(String namespace, String messageKey, Object argument, Exception exception)` Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

Method Summary

Methods inherited from class com.beasys.commerce.foundation.exception.SystemException
`addLogMessage, addLogMessage, addLogMessage, addMessage, addMessage, addMessage, addUserMessage, addUserMessage, addUserMessage, getEmbeddedException, getLocalizedMessage, getLogMessage, getLogMessages, getMessage, getUserMessage, getUserMessages, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FinderSystemException

    public FinderSystemException(String namespace,
                                 String messageKey,
                                 Object argument,
                                 Exception exception)

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### FinderSystemException

    public FinderSystemException(String namespace,
                                 String messageKey,
                                 Exception exception)

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved